Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: lightsquid

Interfaces

### Description:

Log analyzer for squid proxy.

### Interfaces:

lightsquid_admin( domain , role )

##### Summary

All of the rules required to administrate an lightsquid environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

lightsquid_domtrans( domain )

##### Summary

Execute the lightsquid program in the lightsquid domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lightsquid_run( domain , role )

##### Summary

Execute lightsquid in the lightsquid domain, and allow the specified role the lightsquid domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return